Subject: Re: linux-next: manual merge of the wireless-next tree with the wireless tree

From: Johannes Berg <[email-masked]>
Date: Tue, 26 Sep 2023 08:21:43 +0200

On Tue, 2023-09-26 at 12:41 +1000, Stephen Rothwell wrote:
> Hi all,
> 
> On Tue, 26 Sep 2023 12:02:53 +1000 Stephen Rothwell <[email-masked]> wrote:
> > 
> > Today's linux-next merge of the wireless-next tree got conflicts in:
> > 
> >   net/mac80211/cfg.c
> > 
> > between commit:
> > 
> >   31db78a4923e ("wifi: mac80211: fix potential key use-after-free")
> > 
> > from the wireless tree and commit:
> > 
> >   4d3acf4311a0 ("wifi: mac80211: remove sta_mtx")
> > 
> > from the wireless-next tree.
> > 
> > I fixed it up (see below) and can carry the fix as necessary. This
> > is now fixed as far as linux-next is concerned, but any non trivial
> > conflicts should be mentioned to your upstream maintainer when your tree
> > is submitted for merging.  You may also want to consider cooperating
> > with the maintainer of the conflicting tree to minimise any particularly
> > complex conflicts.
> 
> That wasn't quite right.  The final resolution is below.

Thanks Stephen, also for the other one!

I knew about the new ones as well but forgot to give you a heads-up, my
bad, I'm sorry.

I'm planning to submit a wireless pull request today or tomorrow, and
then merge back into wireless-next once it settles in, so this should
hopefully be resolved by the end of the week or so.

Thanks,
johannes